#!/bin/bash -x 
installdir=/var/qmail/bin
datadir=/var/qmail/s25rtarpitgreylist

if [[ -f ${installdir}/s25rtarpitgreylist.pl ]];then
	echo "It is already installed. Please update it by manual operation."
	exit 1
fi
cp s25rtarpitgreylist.pl ${installdir}
chmod 755 ${installdir}/s25rtarpitgreylist.pl

dirpath=${datadir}
if [[ ! -d ${dirpath} ]];then
	mkdir ${dirpath}
	chown qmaild ${dirpath}
fi

dirpath=${datadir}/tmp
if [[ ! -d ${dirpath} ]];then
	mkdir ${dirpath}
	chown qmaild ${dirpath}
fi

filename=s25rlist_hostname
if [[ ! -f ${datadir}/${filename} ]];then
	cp ./${filename} ${datadir}
fi

filename=whitelist_hostname
if [[ ! -f ${datadir}/${filename} ]];then
	cp ./${filename} ${datadir}
fi

filename=blacklist_hostname
if [[ ! -f ${datadir}/${filename} ]];then
	cp ./${filename} ${datadir}
fi

filename=blacklist_helohost
if [[ ! -f ${datadir}/${filename} ]];then
	cp ./${filename} ${datadir}
fi

filename=greylist
if [[ ! -f ${datadir}/${filename} ]];then
	cp ./${filename} ${datadir}
fi

filename=whitelist
if [[ ! -f ${datadir}/${filename} ]];then
	touch ${datadir}/${filename}
fi

filename=blacklist
if [[ ! -f ${datadir}/${filename} ]];then
	touch ${datadir}/${filename}
fi

filename=lastdeletetime
if [[ ! -f ${datadir}/${filename} ]];then
	touch ${datadir}/${filename}
fi

chown -R qmaild ${datadir}

